@import "~sass/variables";
@import "~sass/bullet";
.steps {
  font-family: "Roboto", sans-serif;
  border-radius: 5px;
  &__inner {
    padding: 0 16px;
    display: flex;
  }
}

.step {
  flex: 1;
  max-width: 30px;
  &__heading,
  &__count,
  &__bullet {
    line-height: 1;
    text-align: center;
  }
  &__heading,
  &__count {
    padding-bottom: 10px;
  }
  &__heading {
    font-size: 12px;
    font-weight: 300;
  }
  &__count {
    font-size: 38px;
    font-weight: 700;
    color: $color_lightgray;
  }
  &--active &__count {
    color: $color_gray;
  }
  &--passed &__count {
    color: $color_green;
  }
  &--active .bullet .bullet__ellipse::before,
  &--passed .bullet .bullet__ellipse::before {
    background-color: $color_green;
  }
  &--empty {
    max-width: initial;
  }
  &__empty_area {
    position: relative;
    top: 100%;
  }
  &__line {
    position: absolute;
    top: -10px;
    width: 100%;
    display: inline-block;
    height: 1px;
    background-color: $color_lightgray;
  }
}
